Resolve incident by event id
curl --request POST \
--url https://api.coralogix.com/mgmt/openapi/5/incidents/events/v1/{event_id}/resolve \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/incidents/events/v1/{event_id}/resolve"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/5/incidents/events/v1/{event_id}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"incident": {
"assignments": [
{
"assignedBy": {
"userId": "user_id"
},
"assignedTo": {
"userId": "user_id"
}
}
],
"contextualLabels": {},
"createdAt": "2024-01-01T00:00:00.000Z",
"displayLabels": {},
"duration": "<string>",
"events": [
{
"administrativeEvent": {
"userId": "<string>"
},
"id": "incident_event_id",
"snoozeIndicator": {
"durationMinutes": 123,
"startTime": "2023-11-07T05:31:56Z",
"userId": "<string>"
},
"acknowledge": {
"acknowledgedBy": {
"userId": "user_id"
}
},
"assignment": {
"assignment": {
"assignedBy": {
"userId": "user_id"
},
"assignedTo": {
"userId": "user_id"
}
}
},
"close": {
"closedBy": {
"userId": "user_id"
}
},
"operationalEvent": {
"systemName": "<string>"
},
"unassign": {},
"upsertState": {
"payload": {
"cxEventKey": "<string>"
},
"isMuted": true
}
}
],
"id": "incident_id",
"lastStateUpdateKey": "last_state_update_key",
"lastStateUpdateTime": "2024-01-01T00:00:00.000Z",
"closedAt": "2024-01-01T00:00:00.000Z",
"description": "incident_description",
"isMuted": false,
"metaLabels": [
{
"key": "key",
"value": "value"
}
],
"name": "incident_name"
}
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}Incidents Service
Resolve incident by event id
Mark incident as resolved by event id.
Requires the following permissions:
incidents:close
Resolve incident by event id
Authorizations
API key authentication
Path Parameters
Event ID associated to the Incident to resolve
Example:
"event_id_1"
Response
Response containing the updated incident after resolution
Incident.
Show child attributes
Show child attributes
Was this page helpful?
⌘I